Extending Qt Creator Manual | PortsGatheringMethod

Extending Qt Creator Manual 4.5.2

# PortsGatheringMethod Class

(ProjectExplorer::PortsGatheringMethod)

- List of all members, including inherited members

## Public Types

typedef | Ptr

## Public Functions

virtual | ~PortsGatheringMethod() = default
virtual Runnable | runnable(QAbstractSocket::NetworkLayerProtocol protocol) const = 0
virtual QList<Utils::Port> | usedPorts(const QByteArray &commandOutput) const = 0

## Member Type Documentation

### typedef PortsGatheringMethod::Ptr

## Member Function Documentation

### `[default]` PortsGatheringMethod::~PortsGatheringMethod()

Destroys the instance of PortsGatheringMethod. The destructor is virtual.

### `[pure virtual]` Runnable PortsGatheringMethod::runnable(QAbstractSocket::NetworkLayerProtocol protocol) const

### `[pure virtual]` QList<Utils::Port> PortsGatheringMethod::usedPorts(const QByteArray &commandOutput) const